<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 * @author		web-eau.net
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Language\Text;

if (!$list)
{
	return;
}

?>

<div class="category-module<?php echo $moduleclass_sfx; ?>">
	<?php foreach ($list as $item) : ?>
	<div class="car facebook-box">
		<div class="content">
			<div class="right-icon">
				<i class="fas fa-ellipsis-h"></i>
			</div>
          
			<div class="d-flex">
				<div class="flex-shrink-0 avatar">
					<img class="avatar" src="https://via.placeholder.com/40" alt="" /> <!-- avatar 40x40 -->
				</div>
				<div class="flex-grow-1 ms-3">
					<p class=""><a class="name-author"><?php echo $item->displayAuthorName; ?></a><br /> 
                      <span class="small"><?php echo $item->displayDate; ?> - <i class="date-sub fa fa-globe"></i></span></p>
				</div>
			</div>
          
			<div class="content row text"> <!-- intro text -->
				<?php echo $item->displayIntrotext; ?>
			</div>
		</div>
      
		<div class="thumbnail"> <!-- intro image -->
			<?php
				$article_images  = json_decode($item->images);
				$article_image   = '';
				$article_image_alt   = '';
				if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
					$article_image  = $article_images->image_intro;
					$article_image_alt  = $article_images->image_intro_alt;
				}?>  					
				<a href="<?php echo $item->link; ?>">
					<img class="img-fluid" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
				</a>
		</div>
		<div class="facebook-footer"> 
			<?php echo $item->displayHits; ?> people read this.
			<hr />
			<div class="row text-center">
				<div class="col"><i class="fas fa-thumbs-up fa-2x"></i> Like</div> <div class="col"><i class="fas fa-comment fa-2x"></i> Comment</div> <div class="col"><i class="fas fa-share fa-2x"></i> Share</div>
			</div>	
            <hr />
		</div>
	</div>
	<?php endforeach; ?>
</div>